%global gem_name unf_ext
Summary:                Unicode Normalization Form support library for CRuby
Name:                   rubygem-%{gem_name}
Version:                0.0.8.2
Release:                1
License:                MIT
URL:                    https://github.com/knu/ruby-unf_ext
Source0:                http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:               ruby(release)
BuildRequires:          ruby(release)
BuildRequires:          gcc-c++
Requires:               ruby(rubygems)
BuildRequires:          rubygems-devel ruby-devel rubygem(test-unit)
Provides:               rubygem(%{gem_name}) = %{version}-%{release}
%description
Unicode Normalization Form support library for CRuby.

%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
TOPDIR=$(pwd)
mkdir tmpunpackdir
pushd tmpunpackdir
gem unpack %{SOURCE0}
cd %{gem_name}-%{version}
gem specification -l --ruby %{SOURCE0} > %{gem_name}.gemspec
gem build %{gem_name}.gemspec
mv %{gem_name}-%{version}.gem $TOPDIR
popd
rm -rf tmpunpackdir

%build
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
       %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a ./%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/
pushd %{buildroot}
rm -f .%{gem_extdir_mri}/{gem_make.out,mkmf.log}
popd
rm -rf %{buildroot}%{gem_instdir}/ext
rm -f %{buildroot}%{gem_instdir}/{.document,.gitignore}
rm -f %{buildroot}%{gem_instdir}/.travis.yml

%check
pushd .%{gem_instdir}
sed -i.orig \
    -e '/begin/,/end/d' \
    -e '/bundler/d' \
    test/helper.rb
sed -i -e '2i gem "test-unit"' test/helper.rb
ruby \
    -Ilib:test:.:ext/%{gem_name} \
    test/test_unf_ext.rb

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/[A-Z]*
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/*.gemspec
%dir %{gem_libdir}
%{gem_libdir}/%{gem_name}.rb
%{gem_libdir}/%{gem_name}/
%{gem_extdir_mri}/
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/.github/workflows/%{gem_name}.yml

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/test/

%changelog
* Thu Jun 30 2022 houyingchao <houyingchao@partners.com> - 0.0.8.2-1
- Upgrade to 0.0.8.2

* Wed Jul 29 2020 zhanghua <zhanghua40@huawei.com> - 0.0.7.6-1
- package init
